Announcement

Collapse
No announcement yet.

Digikey supplier data not working in Altium?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Digikey supplier data not working in Altium?

    Hey all, anybody else having an issue with Altium's supplier search pulling data from Digikey lately? We're getting an error: "Invalid Partner Information". Is this a temporary error, or did something change on Digikey's side? We're still on v16 of Altium, in case that's a factor. Thoughts?

    Thanks!

  • #2
    Hi brianjaod,


    I report the same problem as you with Altium 17.1.9 (Build 592).

    I don't know how to fix it.

    Does anyone any suggestion?


    Best regards.
    Last edited by oscargomezf; 01-22-2019, 03:11 AM.

    Comment


    • #3
      many people are reporting this for last few days. looks like something is broken ... most likely digkey made a change(?)

      Comment


      • #4
        robertferanec , thanks for the additional info. I thought it was an issue with us because we're still on v16, but oscargomezf is even reporting the same thing on v17. I assume that you're on the latest Altium version right now (version ?)? If so, are you also having this same issue with no supplier data from Digikey? If so, then this is a much bigger problem than us just being on an old version, and is probably really wide spread with all Altium users, right? If so, has anyone attempted to contact Altium directly to find out what's going on and when they'll have a solution?

        Not sure about everyone else, but this is a major show stopper issue for us on creating new lib parts, because we use Digikey supplier search data as our primary data source for component parameters on new lib parts for about 90% of our new lib parts, which means that we can't create new lib parts right now without having to come back later and update them again. Ugh!

        Comment


        • #5
          Hi everyone,


          I've just checked with Altium 18.1.7 (Build 191), and It seems it's working fine.

          I will check tomorrow again with Altium 17.1.9 (Build 592), I don't know if something has been fixed.


          Best regards.

          Comment


          • #6
            oscargomezf thanks for checking! That's interesting that your v18 is working; I'll be really interested to hear about your v17 tomorrow. I just checked our v16 again and it's still not working.

            Any others out there that could check their versions? Thanks!

            Comment


            • #7
              Hi everyone,


              In Altium 17.1.9 (Build 592) continues failing.

              Sumarizing:

              Altium 16 (I don't know the exact version and build)) -> Fails. (Could brianjaod place the exact version and build?)
              Altium 17.1.9 (Build 592) -> Fails.
              Altium 18.1.7 (Build 191) -> Works


              Best regards.

              Comment


              • #8
                oscargomezf thanks for confirmation.

                Comment


                • #9
                  oscargomezf thanks for the info. Yeah, we're running v16.0.5. (Build 271), and it's still failing.

                  robertferanec which version are you running? And is it having the same issue? Any word from Altium on a fix?

                  Comment


                  • #10
                    Sumarizing:

                    Altium 16.0.5. (Build 271 -> Fails.
                    Altium 17.1.9 (Build 592) -> Fails.
                    Altium 18.1.7 (Build 191) -> Works.

                    Comment


                    • #11
                      Looks like, this is Altium problem - they may need to update their plugin:
                      https://forum.digikey.com/t/digi-key...t-working/2622

                      From the chat above, this is answer from Digikey:
                      "Several years ago we notified all users of our interface to adopt our new interface and that old the one was being sunset. A major reason for the new interface was to add security. Altium tells us they are working on a solution that they expect to complete within days. Please contact them to learn the timeline for their rollout.

                      We love to hear feedback from our customers. It let’s us know where to focus our efforts. Fortunately DigiKey has our side of the APIs ready to go, we are now patiently waiting to see what Altium comes up with on their side. We will share any news that we hear from Altium here. We truly appreciate your patronage. One thing that may help speed this along is for those customers affected to reach out to Altium and share your feedback with them directly."


                      I can confirm:
                      Altium 15.1 NOT working
                      Altium 16.1 NOT working
                      Altium 17.1 NOT working

                      Altium 18.1.9 Working
                      Altium 19.0 Working

                      Comment


                      • #12
                        robertferanec Any suggestions to solve the problem. I am on 17.1.9 and have about 90% of the components from digikey. Don't want to make a vendor change or replace all components either.

                        Comment


                        • #13
                          Harkirat S Virk as it is currently, older versions of Altium will no longer work with Digikey since their recent breaking API changes. If you look at the above Digikey forum link then you'll see a bunch of people dealing with this same problem, and no sign from Digikey of any upcoming help. From my understanding, I'm seeing three basic options:

                          1. Altium provide a fix/patch for older versions to work with Digikey's new API. I would bet a lot of money that this will never happen, but I could be wrong and we could all just wait and see . . .

                          2. Digikey decides to re-enable their previous API version to restore backwards compatibility. I don't think this is likely, but it's certainly more possible than #1. Perhaps with enough people whining to them about the breaking change, they might consider fixing it, but that obviously depends on how painful it is to them versus the potential upside.

                          3. All current older version Altium users, that MUST have Digikey supplier data, need to upgrade their Altium version. Depending on how you'd gamble about #1 and #2 above will probably correlate with your decision on this option. As for our team, we're still on the fence . . . .

                          Comment


                          • #14
                            brianjaod I was somewhere there already...

                            Option 1 - I am hoping its more likely than nil because plugin is already working in 18 and 19, i am hoping they port it to 17. Thats the only good solution i see.
                            Option 2 - Seems unlikely... though there is a lot of hate posts happening on the digikey website they may not re-enable the API - 'security' as good as reason as any
                            Option 3 - $$$ down the drain... and its not a small amount either.

                            I have come to a point where i need to take an eval version for 18/19 just to import all the components and then comeback to 17 to finish the project... After that its Mouser all the way...

                            Now only if Altium is kind enough to share an eval licence...

                            Comment


                            • #15
                              Any suggestions to solve the problem. I am on 17.1.9 and have about 90% of the components from digikey. Don't want to make a vendor change or replace all components either.
                              Honestly, Altium would positively surprise me if they fix the issue in older Altium - I really hope they will. However, I am not sure if management or investors would not be happier if they do not fix it (they have opportunity to get more subscriptions and license renews). So let's see what will happen.

                              Comment

                              Working...
                              X